using Domain.Entities.Notifications.ValueObject;

namespace Application.Features.Api.Notification.GetList;

public sealed record Response(int Total, int UnreadCount, IReadOnlyList<NotificationItem> List);

public sealed record NotificationItem(
    int ID, NotificationType Type, string Title, string Message,
    bool IsRead, string? ActionUrl, string? ImageUrl, DateTime CreatedAt
);